Subject: comment from David Turner (FSF) about IPR guidelines

From: Alexandre Dulaunoy <[email-masked]>
Date: Sat, 19 Oct 2002 10:47:34 +0200 (CEST)

Date: 18 Oct 2002 18:54:19 -0400
From: David Turner <[email-masked]>
To: [email-masked]
Subject:  Re: WG IPR  guidelines (draft-brim-ipr-wg-guidelines-00.txt)
(fwd)

> 
> ---------- Forwarded message ----------
> Date: Sun, 13 Oct 2002 17:52:10 -0400
> From: John Klensin <[email-masked]>
> To: Scott W Brim <[email-masked]>
> Cc: [email-masked]
> Subject: WG IPR guidelines (draft-brim-ipr-wg-guidelines-00.txt)
> 
> Scott,
> 
> Several comments, some trivial... 
> 
> (1) Many of the problems with 2026 have been confusion about
> rules intended to apply to patents and those intended to apply
> to copyright (or inability to tell the difference).  I think,
> given that experience, it would be useful to much more clearly
> distinguish between "rights to [use] technology" (typically
> patents, trade secrets, etc.) and "rights to text" (typically
> copyright) in the abstract and in running text.  The note at the
> end of the Introduction does not seem to me to be sufficient. 

I agree -- copyrighted code and/or text can simply be rewritten. 
Patented technology must be worked around. 

> (3) Under section 3, the introductory paragraph suggests that
> the reader is using encumbered technology just to fetch and read
> the document.  Well, not necessarily.  I can demonstrate
> several ways to obtain and read a document that does not require
> the reader to use anything proprietary, restricted, or
> encumbered.  It is a nice story, but I'd recommend just dropping
> it. 

Using your OpenCores processor?  

> (7) In 5.6, I don't believe that the well-known GPL fits into
> any of these categories.  Instead, it is a specific grant of
> rights, for no fee, but subject to a series of conditions that
> impact future work involving the technology. 

It's rare that the IETF will use copyrighted software code.  But "free
for GPL use" as a patent licensing option, should be included in 5.6

-- 
-Dave Turner
Free Software Licensing Guru
Support my work: http://svcs.affero.net/rm.php?r=novalis&p=FSF

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg